# LOG  2006-11-04 trans  Deprecate #instance in favor of #instance_delegate.

require 'facets/core/ostruct/instance_delegate'
require 'facets/core/ostruct/op_fetch'
require 'facets/core/ostruct/op_store'
require 'facets/core/ostruct/to_h'


# DEPRECATED 
#
# Instead use:
#
#   __table__  ->  instance_delegate
#   __update__ ->  instance_delegate.update
#   __merge__  ->  instance_delegate.merge

#require 'facets/core/ostruct/__table__'
#require 'facets/core/ostruct/__update__'
#require 'facets/core/ostruct/__merge__'


=begin test

  require 'text/unit'

  class TestOstruct < Test::Unit::TestCase

    require 'test/unit'

    def test_loading
      assert(true)
    end

  end

=end
